/* tslint:disable */
const webpack = require('webpack');
const extract = require('extract-text-webpack-plugin');
const clnCSS  = require('less-plugin-clean-css');

const cssLoaders = [
    {
        loader: 'css-loader',
        options: {
            importLoaders: 1,
            url: true,
            minimize: true,
            sourceMap: true,
        }
    },
    {
        loader: 'less-loader',
        options: {
            sourceMap: true,
            plugins: [ new clnCSS({ advanced: true }) ],
        }
    }
];

const config = {
    entry: {
        client: './test.js'
    },

    output: {
        path: process.cwd() + '/dist',
        filename: '[name].js',
    },

    module: {
        rules: [
            {
                test: /\.(less|css)$/,
                use: extract.extract({ use: cssLoaders })
            },
       ],
    },

    plugins: [
        new extract({ filename: '[name].css' }),
    ],
};

module.exports = config;
